# PetscRandomRegister

See PetscRandomRegisterDynamic()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PETSC_DLLEXPORT PetscRandomRegister(const char sname[], const char path[], const char name[], PetscErrorCode (*function)(PetscRandom))

Level:advanced
Location: src/sys/random/interface/randreg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages